Page MenuHomePhabricator

Add CI for mediawiki/extensions/WikibaseStatementUpdater
Open, Needs TriagePublic

Description

I'd like to have:

  • The usual CI jobs to enable localisation updates
  • The usual jobs that run composer test. Do note that the extension is written in PHP 7.3 so anything running PHP 7.2 won't work.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 17 2020, 9:12 AM

Change 650223 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] Zuul: [mediawiki/extensions/WikibaseStatementUpdater] Install CI

https://gerrit.wikimedia.org/r/650223

Change 650225 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] Zuul: [mediawiki/extensions/WikibaseStatementUpdater] Install phan CI

https://gerrit.wikimedia.org/r/650225

Change 650223 merged by jenkins-bot:
[integration/config@master] Zuul: [mediawiki/extensions/WikibaseStatementUpdater] Install CI

https://gerrit.wikimedia.org/r/650223

Mentioned in SAL (#wikimedia-releng) [2020-12-17T18:51:52Z] <James_F> Zuul: [mediawiki/extensions/WikibaseStatementUpdater] Install CI T270369

Change 650233 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] Zuul: [mediawiki/extensions/WikibaseStatementUpdater] Switch quibble to composer

https://gerrit.wikimedia.org/r/650233

Change 650233 merged by jenkins-bot:
[integration/config@master] Zuul: [mediawiki/extensions/WikibaseStatementUpdater] Switch quibble to composer

https://gerrit.wikimedia.org/r/650233

Mentioned in SAL (#wikimedia-releng) [2020-12-17T19:16:59Z] <James_F> Zuul: [mediawiki/extensions/WikibaseStatementUpdater] Switch quibble to composer T270369

So this is done except for phan, which will need some work, I'm afraid. I'll probably work on it next week.

Thanks! I hope I am not making this unnecessary complicated.

Thanks! I hope I am not making this unnecessary complicated.

We'd have hit the the moment we dropped PHP 7.2 support in core-master anyway. :-)